Subject: Re: Rosa rugosa:?from seed?fun?

From: [email-masked]
Date: 9 Mar 95 15:03:47 -0600

In article <[email-masked]>, [email-masked] (CT) writes:
> 
> I know I can propagate R. rugosa from suckers, *but* would like to 
> try germinating the seeds in some of the hips I've collected.  These 
> hips (from large white, large pink, and ?"Hansa"?) have been sitting 
> the change bin of my car all winter in zone 5. 
> 

Mix them with damp sand or milled sphagnum (damp, not sopping wet!)
and put them in a sealed baggie or jar in the back of the refrigerator
for a few months.  Remove from the refrigerator and germinate in flats.

Kay Klier  [email-masked]